Bug 737245 - [abrt] gitg-0.2.2-3.fc15: slab_allocator_free_chunk: Process /usr/bin/gitg was killed by signal 11 (SIGSEGV)
Summary: [abrt] gitg-0.2.2-3.fc15: slab_allocator_free_chunk: Process /usr/bin/gitg wa...
Keywords:
Status: CLOSED DUPLICATE of bug 741692
Alias: None
Product: Fedora
Classification: Fedora
Component: gitg
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ignacio Casal Quinteiro (nacho)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:fbea41a1e3acce1fd40af765988...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-10 10:32 UTC by Riccardo
Modified: 2013-01-10 10:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-30 15:32:29 UTC


Attachments (Terms of Use)
File: maps~ (26.39 KB, text/plain)
2011-09-10 10:32 UTC, Riccardo
no flags Details
File: maps (26.52 KB, text/plain)
2011-09-10 10:32 UTC, Riccardo
no flags Details
File: backtrace (40.04 KB, text/plain)
2011-09-10 10:32 UTC, Riccardo
no flags Details
File: backtrace (41.42 KB, text/plain)
2012-01-25 11:43 UTC, Insang Ryu
no flags Details
File: backtrace (18.30 KB, text/plain)
2012-02-13 09:26 UTC, Thibault Milan
no flags Details

Description Riccardo 2011-09-10 10:32:18 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        gitg
comment:        I use gitg only to view history. Sometimes when I change the repository from the commandline, gitg crashes.
component:      gitg
crash_function: slab_allocator_free_chunk
executable:     /usr/bin/gitg
kernel:         2.6.40.3-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        gitg-0.2.2-3.fc15
reason:         Process /usr/bin/gitg was killed by signal 11 (SIGSEGV)
time:           Sat Sep 10 00:19:50 2011
uid:            500

backtrace:      Text file, 40997 bytes
maps:           Text file, 27154 bytes
maps~:          Text file, 27026 bytes

build_ids:
:318d7ebb9ff61bf5d08d070bb0fa793c4c0d9cb0
:4e07b77adb145cc6404542708f22dc48ded94731
:0b232e446650ce07a3e70bae4f00a7ad5eda2630
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:e10b92bc851cfeb7fae30227813f5dc4aeda7d17
:08bad10bf66ebe542324b597d6ee310019929249
:230660e7b50046ace97b7c95c235375fdc1e2a07
:1916190a2901d92261cb9eccc802f5e31506a7ae
:46caf50b7b8405049cc76b9d88092acce249ec89
:17e8fca193cfa612bf826fa5c6419eb4251bbfdc
:1bb4215a0e453358bdd8fba38885ea1d61e6cf9f
:74d56d8081dbddfee69a599e8e29c40cddf40af2
:f8a4496694553ff8dc93d7d93187936f4acd07a9
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:1406558950ff100eb0320a325b3ea7961ba1a775
:9cd020ec2107c08febe2c8fcabd158212c207854
:a1920333deacdc9917d324ec2eda595e12d29e2e
:0b1f69c75c16ae2ee963cec0721f0e67e2b0f630
:9433c921adf0abcfec4534953140c2b0657adb81
:d209b396f198879f49a4cce4bd445df16ab163b5
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:5dddbb646db3ca0f93a9848c66c8a6dd1b335466
:90fe13fac734263f663981ce4d1691cf926ced25
:00caa79d9b9399c8cecfe1e6b9b0937c74a24a17
:7ff59f3ec00ebb70f32a3f3d6373e19cdc03d0cd
:27301f5062e80c3247bf89aaf21f0a6e3180168f
:585e18f56063dab8934660820f0c63765c6c1a1f
:aaf62304b0fc10611d35b4f56005479d4c58868d
:afe4ec94c18bd5228bda21a6e8df520ba8e19e37
:13ff10a075f084abf260b9dd96618c1037ba3d75
:0911ea7c180d733724f89037b8e8a34e64024aec
:5c94d34eef463a380dece1eac0811d6cb2dea2f9
:634eca0cadcf35206919dd5e6a8e2e8601276947
:48aea888319e1848137073c9cbde54a4c2a731c9
:e5f626726497a81807681ed0088dbce6d6a1f17b
:4953d1f613914126bccceb3cb96386647ffba9df
:48c986082682a31f0a23ad45b8baec3104ccc8bc
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:d259f77e246b7dde5797633a40e4a655375f9b97
:4c842320387ff7f6f91b7842b223c16518be909f
:31342786df1ab6947930de97a932605d748eab9d
:1c6a95451ee19617be5abea3d121f0226d21ddda
:dcaa3f91ad5f850b865c9d8347b35e37c8345cec
:fdc09328fea3e060c8a504a8291555b4cd19172a
:264bfd9d45950be27417615f22a11928f979af89
:1d87720659528ad80e8870da2b2bb4af4470cf66
:91689252818532ec13597b6528d38be93b2706c4
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:f277cf8af7532168ab476e5f7bddaa44e74ff642
:3efa90a1dfea76e986419cc678c07b368c6afde2
:4c7e95adf3ebf234c3296a412389fb303f4facf0
:3e7396aeb0cacf83a7416f50cad1ff2d2d5c1594
:e1c31ac7328c5b42c09f2e4083bcd245090621e4
:544eb865267266a3a113846a945482a0040a8134
:9b3af3c4e04ceb5aaa350786fd48189771cc5d0c
:79d2d2a3e3d39fcde3bea274434562ecbc41b360
:77976ba86d7b36b89a8c1d02fbfc8f50986e2d35
:c3bf0640bc3345ce7d088a9e8917ed5d7471e1b2

dso_list:
:/usr/lib64/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1305315781
:/usr/lib64/gtk-3.0/3.0.0/theming-engines/libadwaita.so adwaita-gtk3-theme-3.0.2-1.fc15.x86_64 (Fedora Project) 1309634040
:/usr/lib64/libgitg-1.0.so.0.0.0 gitg-libs-0.2.2-3.fc15.x86_64 (Fedora Project) 1309643732
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc15.noarch (Fedora Project) 1305315743
:/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so librsvg2-2.32.1-3.fc15.x86_64 (Fedora Project) 1305315782
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1305315778
:/lib64/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309634027
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.x86_64 (Fedora Project) 1311237441
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1305315723
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib/locale/locale-archive glibc-common-2.14-5.x86_64 (Fedora Project) 1313089814
:/usr/bin/gitg gitg-0.2.2-3.fc15.x86_64 (Fedora Project) 1309643735
:/usr/lib64/libcroco-0.6.so.3.0.1 libcroco-0.6.2-6.fc15.x86_64 (Fedora Project) 1305315731
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1309634047
:/lib64/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.x86_64 (Fedora Project) 1312310541
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.x86_64 (Fedora Project) 1305315740
:/lib64/libdl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313089810
:/lib64/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309634027
:/lib64/libm-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313089810
:/lib64/ld-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313089810
:/usr/lib64/libgdk-3.so.0.0.12 gtk3-3.0.12-1.fc15.x86_64 (Fedora Project) 1312310547
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1305315776
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1305315778
:/usr/share/fonts/abattis-cantarell/Cantarell-Bold.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1305315776
:/lib64/libutil-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313089810
:/usr/lib64/libfreetype.so.6.6.2 freetype-2.4.4-5.fc15.x86_64 (Fedora Project) 1313627168
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1305315724
:/usr/share/fonts/dejavu/DejaVuSansMono.ttf dejavu-sans-mono-fonts-2.33-1.fc15.noarch (Fedora Project) 1305315880
:/lib64/libudev.so.0.11.1 libudev-167-4.fc15.x86_64 (Fedora Project) 1305315723
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309634027
:/usr/lib64/libgtksourceview-3.0.so.0.0.0 gtksourceview3-3.0.5-1.fc15.x86_64 (Fedora Project) 1309811311
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1305315724
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc15.x86_64 (Fedora Project) 1305315723
:/usr/lib64/gio/modules/libdconfsettings.so dconf-0.7.5-1.x86_64 (Fedora Project) 1305315746
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.x86_64 (Fedora Project) 1312310545
:/usr/lib64/librsvg-2.so.2.32.1 librsvg2-2.32.1-3.fc15.x86_64 (Fedora Project) 1305315782
:/usr/lib64/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1305315781
:/lib64/libc-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313089810
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/gtk-3.0/modules/libpk-gtk-module.so PackageKit-gtk3-module-0.6.17-1.fc15.x86_64 (Fedora Project) 1312876950
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-1.fc15.x86_64 (Fedora Project) 1309634032
:/usr/lib64/libgtk-3.so.0.0.12 gtk3-3.0.12-1.fc15.x86_64 (Fedora Project) 1312310547
:/lib64/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309634027
:/lib64/librt-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313089810
:/lib64/libresolv-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313089810
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309634027
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.x86_64 (Fedora Project) 1305315724
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1309634047
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.x86_64 (Fedora Project) 1309633737
:/usr/share/locale/en/LC_MESSAGES/gtk30.mo gtk3-3.0.12-1.fc15.x86_64 (Fedora Project) 1312310547
:/lib64/libnss_files-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313089810
:/lib64/libpthread-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313089810
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1305315723
:/usr/lib64/libcairo-gobject.so.2.11000.2 cairo-gobject-1.10.2-3.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1305315781
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.x86_64 (Fedora Project) 1305315778

var_log_messages:
:Sep 10 00:19:50 *** kernel: [14216.174447] gitg[4167] general protection ip:3ccfa5d279 sp:7fffec1ef390 error:0 in libglib-2.0.so.0.2800.8[3ccfa00000+115000]
:Sep 10 00:19:50 *** abrt[4987]: saved core dump of pid 4167 (/usr/bin/gitg) to /var/spool/abrt/ccpp-2011-09-10-00:19:50-4167.new/coredump (47308800 bytes)

var_log_messages~:
:Sep 10 00:19:50 leonida kernel: [14216.174447] gitg[4167] general protection ip:3ccfa5d279 sp:7fffec1ef390 error:0 in libglib-2.0.so.0.2800.8[3ccfa00000+115000]
:Sep 10 00:19:50 leonida abrt[4987]: saved core dump of pid 4167 (/usr/bin/gitg) to /var/spool/abrt/ccpp-2011-09-10-00:19:50-4167.new/coredump (47308800 bytes)

xsession_errors:
:Window manager warning: Got a request to focus 0x2c00008 (gitg - for) with a timestamp of 0.  This shouldn't happen!
:Window manager warning: Got a request to focus 0x2c00008 (gitg - for) with a timestamp of 0.  This shouldn't happen!

Comment 1 Riccardo 2011-09-10 10:32:22 UTC
Created attachment 522489 [details]
File: maps~

Comment 2 Riccardo 2011-09-10 10:32:24 UTC
Created attachment 522490 [details]
File: maps

Comment 3 Riccardo 2011-09-10 10:32:28 UTC
Created attachment 522491 [details]
File: backtrace

Comment 4 Insang Ryu 2011-10-09 07:22:27 UTC
Package: gitg-0.2.5-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
I ran this app just after closing it.

Comment 5 Fedora Admin XMLRPC Client 2011-11-01 21:03:02 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Insang Ryu 2012-01-25 11:43:37 UTC
Refreshed status

backtrace_rating: 4
Package: gitg-0.2.5-1.fc16
OS Release: Fedora release 16 (Verne)

Comment 7 Insang Ryu 2012-01-25 11:43:43 UTC
Created attachment 557432 [details]
File: backtrace

Comment 8 Thibault Milan 2012-02-13 09:26:05 UTC
launch a git svn dcommit

backtrace_rating: 4
Package: gitg-0.2.5-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment 9 Thibault Milan 2012-02-13 09:26:09 UTC
Created attachment 561479 [details]
File: backtrace

Comment 10 abrt-bot 2012-03-30 15:32:29 UTC
Backtrace analysis found this bug to be similar to bug #741692, closing as duplicate.

Bugs which were found to be similar to this bug: 
  eina: bug #605951
  empathy: bug #530581
  evolution: bug #584960, bug #585352, bug #585559, bug #586218, bug #586694, bug #587776, bug #588234, bug #591684, bug #592363, bug #593075, bug #593184, bug #593232, bug #593350, bug #594622, bug #594691, bug #594857, bug #594870, bug #595651, bug #595693, bug #595722, bug #596375, bug #596393, bug #596717, bug #596729, bug #596932, bug #597340, bug #597555, bug #597797, bug #598025, bug #598416, bug #598428, bug #598569, bug #598827, bug #600120, bug #600158, bug #600161, bug #601060, bug #601514, bug #601529, bug #601840, bug #602391, bug #603803, bug #604283, bug #606240, bug #606244, bug #607783, bug #608311
  gnome-settings-daemon: bug #741692
  gnome-shell: bug #796033

This comment is automatically generated.

*** This bug has been marked as a duplicate of bug 741692 ***


Note You need to log in before you can comment on or make changes to this bug.